Thursday, September 06, 2012

Pentoo 2012.0 Beta2

It's my favorite time of year again, the really short lul between Defcon and Derbycon.  I've used my freetime to polish up all the bug reports from our Defcon Beta release and kick out a shiny new release. Many surprises await you, but I'm not building up a bugfix beta more than I already have.

New things: default hardened setup, torrent download

http://dev.pentoo.ch/~zero/isos/pentoo-x86_64-2012.0_beta2.torrent

Live to Hack, Hack to Live.  If my dedication isn't obvious, today is my Anniversary but here I am uploading betas, etc ;-)

You will not find a team of volunteers more dedicated than ours, so test the release and submit bugs so we can make it even better for you.

Bug Tracker:
https://code.google.com/p/pentoo/issues/list

Thanks,
Zero_Chaos and the Pentoo Team

12 comments:

gtgg said...

Buon giorno a tutti voi del team di sviluppo di pentoo.
Mi sono finalmente deciso di fare questo commento,perche voglio avvertirvi che a mio avviso come anche all'avviso dei miei amici,la vostra distro rispetto a prima sta perdendo veramente molti colpi.
Iniziamo con l'interfaccia che avete deciso di incorporare,xfce fa schifo rispetto alla leggerissima e scattante Enlightenment 17; Altri disagi che provoca la nuova versione sono i collegamenti dei programmi che non funzionano,es. msf console che non parte,perche il collegamento e invalido;altri disagi riguardano alcuni programmi che non partono proprio;la distro e diventata piu pesante.
PER FAVORE QUESTA NON E SOLO UNA MIA RICHIESTA, PERCHE IO COME TANTE ALTRE PERSONE CHE USANO ANCORA pentoo-i686-2009.0 VI CHIEDIAMO CHE VOI NON FACCIATE GLI STESSI ERRORI DELLA COMUNITY DELLA BACKTRACK CHE DOPO LA BACKTRACK 3 SONO PASSATI AL SCHIFOSISSIMO E LURIDO UBUNTU,CHE PER NOI AMANTI DEL CAMPO DELL'HACKING E UN INSULTO ALL'INTELLIGENZA UMANA.DA RICORDARE ANCHE CHE HANNO PURE ROVINATO L'INTERFACCIA.MI RENDO CONTO CHE PER IL TEAM DELLA BACKTRACK E STATO PIU SEMPLICE PASSARE AD UBUNTU (ROVINANDO COSI UN PRODOTTO PREGIATO)PERO VOI NON ANDATE A COMPIERE I LORO STESSI ERRORI,PERCHE GIA CON pentoo-i686-2009.0 AVETE REALIZZATO UN PRODOTTO PREGIATO E DEGNO DELLA PIU AGGUERRITA CONCORRENZA.A NOSTRO AVVISO DOVETE SEMPLICEMENTE AGGIORNARE I TOOLS DELLA pentoo-i686-2009.0 INCLUSO ANCHE IL KERNEL SE E POSSIBILE,E MAGARI AGGIUNGERE UN TERMINALE PIU SERIO RISPETTO A QUELLO DI DEFAULT.

gtgg said...
This comment has been removed by the author.
gtgg said...

IM NOT GOOD IN ENGLISH,BUT I TRY TO WRITE THIS TRASLATED VERSION OF FIRST MY MASSAGE IF YOU DONT UNDERSTAND ITA.
Good day at all of you in the developing team of "pentoo".
I finally decided to make this comment, because i want to warn you that in my opinion and in the opinion of my friends, yours distribution is missing a lot than before.
Let's start with the interface that you chosen to incorporate, because it sucks a lot than the light and whippy "Enlightenment 17; The other problems that
the new version cause are the connections of the programs that aren't working, for example "msf console" that
don't start, because the connection is invalid; more other problems that concern some other programs
that don't start at all; the distribution has become more heavy.
PLEASE THIS ISN'T ONLY MY REQUEST, BECAUSE ME, LIKE MANY OTHER PEOPLE
THAT EVEN USES "pento-i686-2009. OR WE ASK YOU THAT YOU DON'T DO THE SAME
ERRORS OF THE "BACKTRACK COMMUNITY, THAT AFTER THE BACKTRACK 3 ARE PASSED AT
THE DISGUSTING AND DIRTY UBUNTU, THAT FOR US LOVERS OF THE HACKING FIELD IS AN
INSULT AT THE HUMAN INTELLINGENCE. TO REMEMBER THAT THEY ALSO HAVE RUINED
THE INTERFACE. I UNDERSTAN THAT FOR THE TEAM OF THE BACKTRACK WAS MORE EASY
TO PASS TO UBUNTU (RUINING IN THAT WAY A GREAT PRODUCT) BUT YOU DON'T GO
TO MAKE THEIR SAME MISTAKES, BECAUSE ALREADY WITH pentoo-i686-2009.0 YOU HAVE
MADE A GREAT PRODUCT AND WORTHY OF THE MOST FIERCE COMPETITION. AT OUR OPINION
YOU SIMLY NEED TO UPDATE THE TOOLS OF THE penroo.i686-2009.0 INCLUDING ALSO
THE KERNEL IF IS POSSIBLE, AND MAYBE ADD A TERMINAL MORE SERIOUS COMPARED TO
THE DEFAULT ONE.

Matteo Di Bonito said...

A HARMONIOUS SALUTE TO YOU DEAR TEAM OF PENTOO DEVELOPMENT
I AM AN YOUR USER SINCE THE 2010
IN 2010 I STARTED USE pentoo-x86_64-2009.0 AND I USE TO THIS DAY THIS RELASE
I HAVE TESTED THE PENTOO NEW RELEASE AND I HAVE HAD A SHOCK!
I WAS SHOCKED SINCE THE NEW RELEASE IS DEVOID OF THE THINGS THAT MADE WONDERFUL THE OLD RELASE OF PENTOO,
BUT THIS IS JUST THE BEGINNING, THE TOP OF MY SHOCK WAS THE XFCE INTERFACE
I DON'T KNOW WHAT YOU GUYS OF THE DEVELOPMENT TEAM OF PENTOO THINK BUT IF THIS WILL BE THE FINAL RELASE OF PENTOO,THIS WILL BECOME HORRIBLE
PLEASE NOT RUINED THIS WONDERFUL DISTRO WITH INNOVATIONS UNNECESSARY AND HARMFUL,
SO I ASK YOU TO UPDATE ONLY THE KERNEL, THE TOOLS AND E17 OF THE OLD RELASE OF PENTOO (Pentoo-x86_64-2009.0)

Matteo Di Bonito said...
This comment has been removed by the author.
Matteo Di Bonito said...
This comment has been removed by the author.
Dufort Zaffiro said...

I tried new version of Pentoo.
New version make me disappointed because you abandoned E17 changed
with xfce that i think it make poor the system graphic.
I want tell you that the problem of new version are:
MISSING DRIVERS,APPLICATION THAT DON'T START AND SOME OF THEM ARE OBSOLETE.
So please update old pentoo-x86_64-2009.0 kernel and tools.
Dont forget to replace current terminal with that has Copy and paste.
Still in 2012 i love pentoo-x86_64-2009.0 So,Please dont change the genuine
way of original pentoo to dead trend.

Dufort Zaffiro said...
This comment has been removed by the author.
IgorTime said...

Hey Dude's!!!
Sorry i really know that is so hard to create a new distro,but i must tell you that the new release is very low if you compare it to pentoo-x86_64-2009.0 or pentoo-x86_64-2012.0_betazero.
In this case i think that is so much take old but stable pentoo-x86_64-2009.0 and do only the updates of all tools,kernel and the version of E17.
Again sorry...but the true is that the new interface is very bored & much more heavy,some tools wont start because have problems like a broken shorcuts or folder;
example:MSF and any others that i dont remember at this moment.
So the conclusion for me is that you must return to original brand of genuine pentoo science pentoo-x86_64-2009.0.
P.S Some program as MSF can start manually only in Terminal Emulator not in URxvt(xterm),if you can remove the useless URxvt(xterm) and replace it with true Terminal like as Backtrack that have an copy and paste.

Thx for all !!!

GreganDark said...

The only one best way to solve all this problems is the easy way!!!
Take the old version of pentoo like pentoo-x86_64-2009.0 and go to do a simply updates of kernel(for me not necessary);do updates for penetration tools and obviously for E17.
LIST OF ITEMS TO FIX
Replace the toy terminal with one complete;
Fix Wifi Radar to can be able run it(i talk about pentoo-x86_64-2009.0)
Fix Htop that wont run(still talk about pentoo-x86_64-2009.0)
Please fix and check the application that wont run under E17,some applications that i have tried tell me Unable run under E17;
Add for MSF the updater and Db Exploit.
For me this is all :)

L-04 said...

hi

i'm facing the same problems using the latest version of pentoo.

first, now the distro has 2 terminals, the older one that i love to define as a toy, nothing more and the new one that is just perfect! but in the auditing menu, the auditing tools are open from the old one that is not able to run many of those.

second, you have to update all the existing tools and system packets and FIX ALL THE COMPATIBILITY ISSUES WITH E17 that can't run some tools, i know that xfce is a lighter interface but is not fascinating as E17 but reinstalling E17 i'm facing some compatibility problems

third, drivers?? suppose that I am a pentester at work, i'm alone only with my computer and a freshly installed pentoo distro. how can i work if some drivers are missing and the only way to install them is to have an internet connection that i can obtain only with one of the missing drivers??



I think the negative reviews are the only way to understand what users really need. so, take all my negative experiences as a beginning point to make your distro better :)

Zero_Chaos said...

In response to all the people crying about the loss of e17:

I'm sorry, really I am. I love e17, but it's been really unstable for the last while and too much work for me to care. I will re-add it as soon as possible, in the meantime you can pretty easily add it yourself just by changing the use flags on pentoo/pentoo.

In response to all the people reporting bugs on the 2009.0 release:

I don't care. Use the new version and report bugs on that, there are plenty.

In response to the people with real bugs (missing drivers, incompatibilites, etc):

I posted a link to the bug tracker for a reason, please post SPECIFIC bugs (what drivers am I missing?) and the team and I will be happy to address them.

Again, I really don't read comments here, if you have a problem, please use irc or the bug tracker. If you want to tell me how much Pentoo sucks now please switch to Backtrack.